%global packname  readr
%global rlibdir  %{_libdir}/R/library

# Examples use the network.
%bcond_with network

Name:             R-%{packname}
Version:          1.1.1
Release:          2%{?dist}
Summary:          Read Rectangular Text Data

# Mainly GPLv2+; only src/grisu3.? are ASL 2.0
License:          GPLv2+ and ASL 2.0
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
# Fedora-specific
Patch0001:        0001-Skip-network-tests.patch

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-Rcpp >= 0.12.0.5, R-tibble, R-hms, R-R6
# Suggests:  R-curl, R-testthat, R-knitr, R-rmarkdown, R-stringi, R-covr
# LinkingTo: R-Rcpp, R-BH
# Enhances:

Requires:         R-Rcpp >= 0.12.0.5
Requires:         R-tibble
Requires:         R-hms
Requires:         R-R6
Suggests:         R-curl
Suggests:         R-stringi
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-Rcpp-devel >= 0.12.0.5
BuildRequires:    R-tibble
BuildRequires:    R-hms
BuildRequires:    R-R6
BuildRequires:    R-BH-devel
BuildRequires:    R-curl
BuildRequires:    R-testthat
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
BuildRequires:    R-stringi

%description
The goal of 'readr' is to provide a fast and friendly way to read rectangular
data (like 'csv', 'tsv', and 'fwf'). It is designed to flexibly parse many
types of data found in the wild, while still cleanly failing when data
unexpectedly changes.


%prep
%setup -q -c -n %{packname}

pushd %{packname}
%if !%{with network}
%patch0001 -p1
%endif

# Don't need coverage; it's not packaged either.
sed -i 's/, covr//g' DESCRIPTION
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.UTF-8
%if %{with network}
%{_bindir}/R CMD check %{packname}
%else
%{_bindir}/R CMD check %{packname} --no-examples
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so
%{rlibdir}/%{packname}/extdata


%changelog
* Wed Aug 15 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.1-2
- Fix license tag

* Tue Aug 14 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.1-1
- initial package for Fedora
